#ifndef __VXBOOT_HARDWARE_H__
# define __VXBOOT_HARDWARE_H__

/* define hardware information struct */
struct hwinfo {
	struct {
		struct {
			uintptr_t origin_addr;
			uintptr_t user_addr;
		} physical;
		size_t size;
	} ram;
};

//---
// hardware information API
//---

/* hardware_get_info() : get hardware information */
extern void hardware_get_info(struct hwinfo * const hwinfo);


#endif /*__VXBOOT_HARDWARE_H__*/
